<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper
        PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
        "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.sckw.manage.dao.KwmAddressMapper">

    <resultMap id="BaseResultMap" type="com.sckw.manage.model.entity.KwmAddress">
            <id property="id" column="id" jdbcType="BIGINT"/>
            <result property="entId" column="ent_id" jdbcType="BIGINT"/>
            <result property="name" column="name" jdbcType="VARCHAR"/>
            <result property="type" column="type" jdbcType="BIGINT"/>
            <result property="defaultType" column="default_type" jdbcType="INTEGER"/>
            <result property="contacts" column="contacts" jdbcType="VARCHAR"/>
            <result property="phone" column="phone" jdbcType="VARCHAR"/>
            <result property="cityCode" column="city_code" jdbcType="INTEGER"/>
            <result property="cityName" column="city_name" jdbcType="VARCHAR"/>
            <result property="detailAddress" column="detail_address" jdbcType="VARCHAR"/>
            <result property="lat" column="lat" jdbcType="VARCHAR"/>
            <result property="lng" column="lng" jdbcType="VARCHAR"/>
            <result property="fence" column="fence" jdbcType="VARCHAR"/>
            <result property="remark" column="remark" jdbcType="VARCHAR"/>
            <result property="status" column="status" jdbcType="INTEGER"/>
            <result property="createBy" column="create_by" jdbcType="BIGINT"/>
            <result property="createTime" column="create_time" jdbcType="TIMESTAMP"/>
            <result property="updateBy" column="update_by" jdbcType="BIGINT"/>
            <result property="updateTime" column="update_time" jdbcType="TIMESTAMP"/>
            <result property="delFlag" column="del_flag" jdbcType="INTEGER"/>
    </resultMap>

    <sql id="Base_Column_List">
        id,ent_id,name,
        type,default_type,contacts,
        phone,city_code,city_name,
        detail_address,lat,lng,
        fence,remark,status,
        create_by,create_time,update_by,
        update_time,del_flag
    </sql>
</mapper>
